Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
todolist.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $SiteDesign, $language, $year, $month, $day, $userID)
| addZero ( $value)

## Variables
| $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTodoMain", "Language" )
| $DOC_ROOT = $ini->variable( "eZTodoMain", "DocumentRoot" )
| $iniLanguage = new eZINI( "kernel/eztodo/user/intl/$Language/todolist.php.ini", false )
if(isset( $New)) | $user =& eZUser::currentUser()
if( $user==false) if(isset( $Delete)) | $t
| $CategoryID = eZHTTPTool::getVar( "CategoryTodoID" )
| $ShowButton = eZHTTPTool::getVar( "ShowButton" )
| $StatusID = eZHTTPTool::getVar( "StatusTodoID" )
if(isset( $Show)) | else
if(isset( $ShowButton)) | $showCategory = $session->variable( "TodoCategory" )
| $showTodo = $session->variable( "TodoStatus" )
| $todo = new eZTodo()
| $currentUserID = $user->id()
| $showID = $session->variable( "ShowTodoID" )
| $userList = $user->getAll()
foreach( $userList as $userItem) if(count( $todo_array)==0) | $locale = new eZLocale( $Language )
| $i = 0
foreach( $todo_array as $todoItem) | $category = new eZCategory()
| $categoryList =& $category->getAll()
foreach( $categoryList as $category) | $status = new eZStatus()
| $statusList =& $status->getAll()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 293 of file todolist.php.

References $ret.

## ◆ deleteCache()

deleteCache | ( |  | $SiteDesign,
|  |  | $language,
|  |  | $year,
|  |  | $month,
|  |  | $day,
|  |  | $userID
| ) |  |

Definition at line 284 of file todolist.php.

References eZPBFile\unlink().

## Variable Documentation

## ◆ $category

foreach ($todo_array as $todoItem) $category = new eZCategory()

Definition at line 238 of file todolist.php.

## ◆ $CategoryID

$CategoryID = eZHTTPTool::getVar( "CategoryTodoID" )

Definition at line 86 of file todolist.php.

## ◆ $categoryList

$categoryList =& $category->getAll()

Definition at line 239 of file todolist.php.

## ◆ $currentUserID

$currentUserID = $user->id()

Definition at line 128 of file todolist.php.

Referenced by eZArticleCategory\articleCount(), eZArticle\articleCount(), eZArticleCategory\articles(), eZArticle\articles(), eZTopic\articles(), eZArticle\authorArticleCount(), eZArticle\authorArticleList(), eZDebug\checkDebugByUser(), eZArticleCategory\countByParent(), eZArticleCategory\getByParent(), eZArticle\manualKeywordIndex(), eZImageCategory\search(), eZArticleCategory\search(), eZArticle\search(), and eZArticle\searchByShortContent().

## ◆ $DOC_ROOT

$DOC_ROOT = $ini->variable( "eZTodoMain", "DocumentRoot" )

Definition at line 34 of file todolist.php.

## ◆ $i

$i = 0

Definition at line 201 of file todolist.php.

## ◆ $ini

$ini = eZINI::instance( 'site.ini' )

Definition at line 32 of file todolist.php.

## ◆ $iniLanguage

$iniLanguage = new eZINI( "kernel/eztodo/user/intl/$Language/todolist.php.ini", false )

Definition at line 36 of file todolist.php.

## ◆ $Language

$Language = $ini->variable( "eZTodoMain", "Language" )

Definition at line 33 of file todolist.php.

## ◆ $locale

foreach ($userList as $userItem) if (count($todo_array)==0) $locale = new eZLocale( $Language )

Definition at line 199 of file todolist.php.

## ◆ $ShowButton

$ShowButton = eZHTTPTool::getVar( "ShowButton" )

Definition at line 88 of file todolist.php.

## ◆ $showCategory

if (isset($ShowButton)) $showCategory = $session->variable( "TodoCategory" )

Definition at line 122 of file todolist.php.

Referenced by eZTodo\getByUserID().

## ◆ $showID

$showID = $session->variable( "ShowTodoID" )

Definition at line 152 of file todolist.php.

## ◆ $showTodo

$showTodo = $session->variable( "TodoStatus" )

Definition at line 123 of file todolist.php.

## ◆ $status

foreach ($categoryList as $category) $status = new eZStatus()

Definition at line 259 of file todolist.php.

## ◆ $StatusID

$StatusID = eZHTTPTool::getVar( "StatusTodoID" )

Definition at line 89 of file todolist.php.

## ◆ $statusList

$statusList =& $status->getAll()

Definition at line 260 of file todolist.php.

## ◆ $t

if ($user==false) if (isset($Delete)) $t

Initial value:
= new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
"kernel/eztodo/user/intl/", $Language, "todolist.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: todolist.php:33
$ini
$ini
Definition: todolist.php:32

Definition at line 81 of file todolist.php.

## ◆ $todo

$todo = new eZTodo()

Definition at line 125 of file todolist.php.

## ◆ $user

if (isset($New)) $user =& eZUser::currentUser()

Definition at line 58 of file todolist.php.

## ◆ $userList

$userList = $user->getAll()

Definition at line 155 of file todolist.php.

## ◆ else

if (eZPermission::checkPermission($user, "eZTodo", "ViewOtherUsers")) else

Initial value:
{
$GetByUserID = $session->variable( "TodoUser" )
$session
$session
Definition: admin/articlelist.php:44

Definition at line 96 of file todolist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.